#
# spec file for package php5-pear-phpunit-PHP_Timer
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           php5-pear-phpunit-PHP_Timer
%define pear_name  PHP_Timer
%define pear_sname php_timer
Summary:        Utility class for timing
License:        BSD-3-Clause
Group:          Development/Libraries/PHP
Version:        1.0.5
Release:        1.1
Source0:        http://pear.phpunit.de/get/%{pear_name}-%{version}.tgz
Url:            http://pear.phpunit.de/
Requires:       php5-pear-channel-phpunit
BuildRequires:  php-macros
BuildRequires:  php5-pear >= 1.9.0
BuildRequires:  php5-pear-channel-phpunit
Requires:       php5-pear >= 1.9.0
Requires:       php5-pear-channel-phpunit
BuildArch:      noarch

# Fix for renaming (package convention)
Provides:       pear-%{pear_name}
Provides:       pear-%{pear_sname} = %{version}
Provides:       php-pear-%{pear_name}
Provides:       php-pear-%{pear_sname} = %{version}
Provides:       php5-pear-%{pear_sname} = %{version}
Obsoletes:      pear-%{pear_sname} < %{version}
Obsoletes:      php-pear-%{pear_sname} < %{version}
Obsoletes:      php5-pear-%{pear_sname} < %{version}

%description
This is a simple utility class for timing.

%prep
%setup -c

%build

%install
%{__mv} package*.xml %{pear_name}-%{version}
cd %{pear_name}-%{version}
PHP_PEAR_PHP_BIN="$(which php) -d memory_limit=50m"
%{__mkdir_p} %{buildroot}%{php_peardir}/.channels/
%{__cp} %{php_peardir}/.channels/pear.*.reg \
%{buildroot}%{php_peardir}/.channels/

%{__pear} -v \
        -d doc_dir=/%{_docdir} \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{php_peardir}/data \
        install --offline --nodeps -R "%{buildroot}" package.xml

%{__install} -D -m 0644 package.xml %{buildroot}%{php_pearxmldir}/%{pear_name}.xml

%{__rm} -rf %{buildroot}/{doc,tmp}
%{__rm} -rf "%{buildroot}"/%{php_peardir}/.{filemap,lock,registry,channels,depdb,depdblock}

cd ..

%php_pear_gen_filelist

%post
# on `rpm -ivh` PARAM is 1
# on `rpm -Uvh` PARAM is 2
if [ "$1" = "1" ]; then
  %{__pear} install --nodeps --soft --force --register-only %{php_pearxmldir}/%{pear_name}.xml
fi
if [ "$1" = "2" ]; then
  %{__pear} upgrade --offline --register-only %{php_pearxmldir}/%{pear_name}.xml
fi

%postun
# on `rpm -e` PARAM is 0
if [ "$1" = "0" ]; then
  %{__pear} uninstall --nodeps --ignore-errors --register-only pear.phpunit.de/%{pear_name}
fi

%clean
%{__rm} -rf %{buildroot}

%files -f %{name}.files
%defattr(-,root,root)
%{_docdir}/%{pear_name}

%changelog
* Sun Aug  4 2013 robert.munteanu@gmail.com
- Updated to version 1.0.5
  - No changelog from upstream
* Fri Dec  9 2011 coolo@suse.com
- fix license to be in spdx.org format
* Mon Dec  5 2011 robert.munteanu@gmail.com
- Updated to version 1.0.2
  - $_SERVER['REQUEST_TIME_FLOAT'] is used when available
* Wed Aug 24 2011 lang@b1-systems.de
- initial successful build with version 1.0.0
